//Titel:            Testbeispiel für MDI-Fenster
//Version:          1.0
//Copyright:        HS-Harz, FB AI
//Autor:            Dipl.-Inf. Dipl.-Ing. Michael Wilhelm
//Firma:
//Beschreibung:     Komplexes Beispiel für MDI-Steuerung
//                  MDI Beispiel mit Vererbung UND Schnittstelle
//                  damit können sowohl JIntrnalFrames als auch JFrames
//                  in das Programm eingetragen werden


// Interface Beispiel

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import java.io.*;


import java.awt.Container;


public class TUEV  {
   // Konstruktor
  public TUEV() {
  }

  public boolean checkFahrzeug(TUEVInterface f) {
    System.out.println(f.getKFZNr() );
    return true;
  }  // jbInit


   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause


    // MAIN
  static public void main(String[] args) {
    TUEV tuev = new TUEV();
    PKW p = new PKW();
    tuev.checkFahrzeug( p );
    Motorrad m = new Motorrad();
    tuev.checkFahrzeug( m );

    Biker b= new Biker();
    tuev.checkFahrzeug(b);

    pause();
  }

}


interface TUEVInterface {

  public String getKFZNr();

}


interface EisenbahnInterface {

  public String getBesitzer();
  public String getKFZNr();

}



class PKW  implements TUEVInterface, EisenbahnInterface {
  protected String KFZNummer;

  public PKW() {
    KFZNummer = "WR-HJ-1234";
  }

  public String getKFZNr() {
    return KFZNummer;
  }
  public String getBesitzer() {
    return "alle";
  }

}  // pkw



class Motorrad  implements TUEVInterface {
  protected String KFZNummer;

  public Motorrad() {
    KFZNummer = "WR-AA-1234";
  }

  public String getKFZNr() {
    return KFZNummer;
  }

}  // MyFrame


class Biker implements TUEVInterface {
  protected String KFZNummer;

  public Biker() {
    KFZNummer = "WR-BI-KER";
  }

  public String getKFZNr() {
    return KFZNummer;
  }

}  // MyFrame








